Skip to content
Browse files

Merge branch 'preparation-2.0.1-rc01'

  • Loading branch information...
2 parents 414a267 + 6a4e569 commit 082562d6dc0e580401fcbb8b6df39ce0b44a8eda @heathermiller heathermiller committed Mar 22, 2012
View
20 _includes/maintenance-download-box-2-9.txt
@@ -0,0 +1,20 @@
+<div class="download-section">
+ <div id="download-link-maintenance-2-9" class="download-link" title="URL Copied To Clipboard" data-content="To install the Scala IDE for Eclipse, open Eclipse, go to 'Help > Install New Software', and paste this URL into the dialog box. Then, follow the on-screen instructions from there.">
+ http://download.scala-ide.org/releases-29/rc/site
+ </div>
+ <script type="text/javascript" charset="utf-8">
+ $(window).load(function() {
+
+ var clip = new ZeroClipboard.Client();
+ clip.setHandCursor( true );
+ clip.setText("http://download.scala-ide.org/releases-29/rc/site");
+ clip.glue("download-link-maintenance-2-9");
+
+ });
+
+ </script>
+
+ <div class="zip-update-site">
+ (If you cannot use the update site, a downloadable local update site is available: <a href="http://download.scala-ide.org/releases-29/rc/org.scala-ide.sdt.update-site.zip">zipfile</a>, <a href="http://download.scala-ide.org/releases-29/rc/org.scala-ide.sdt.update-site.zip.sha1">sha1sum</a>)
+ </div>
+</div>
View
3 _includes/maintenance-download-requirements.txt
@@ -0,0 +1,3 @@
+* [JDK 5](http://www.oracle.com/technetwork/java/javasebusiness/downloads/java-archive-downloads-javase5-419410.html) or [JDK 6](http://www.oracle.com/technetwork/java/javasebusiness/downloads/java-archive-downloads-javase6-419409.html) (JDK 7 support is not tested).
+
+* Eclipse, including the JDT. Either "Eclipse Classic" or "Eclipse for Java Developers" is sufficient. Scala IDE can be installed on both [Eclipse 3.6 (Helios)](http://www.eclipse.org/downloads/packages/release/helios/sr2) and [Eclipse 3.7 (Indigo)](http://www.eclipse.org/downloads/). There is one known issue specific to using Scala IDE on Indigo, releated to [tests discovery](https://www.assembla.com/spaces/scala-ide/tickets/1000782).
View
47 blog/_posts/2012-03-20-release-notes-2.0.1.md
@@ -0,0 +1,47 @@
+---
+layout: blog
+title: Scala IDE for Eclipse 2.0.1 RC01
+disqus: true
+
+---
+
+We are very happy to announce a new release candidate of the Scala IDE for Eclipse! 2.0.1 is
+a maintenance release containing only bug fixes, and is recommended for all users.
+
+### Builder improvements
+
+In 2.0.0 the IDE delivered better incremental compilation by building on the already
+proven [Sbt][sbt] incremental compiler. In 2.0.1 we improve on the Eclipse builder by following Sbt
+more closely when dealing with *dependent projects*:
+
+* when a project has build errors, dependent projects are not rebuilt
+* fine-grained information about changes in a project are propagated to downstream dependent
+ projects, leading to even less files being recompiled
+
+In 2.0.1, the Eclipse builder compiles exactly the same number of files at the command line Sbt.
+
+### Editor improvements
+
+We fixed a couple of small, but annoying editor issues: double braces are inserted and deleted
+together, completions that need an additional import won't mess up the file, and `Open Declaration`
+works when called from the contextual menu.
+
+### Compiler improvements
+
+This release is based on [Scala 2.9.2-RC1][scala], and includes a couple of improvements in the way compiler
+plugins are loaded, including the continuations plugin. Now you can have several compiler plugins loaded
+side-by-side, and properly use the `pluginsdir` option.
+
+For a complete list of changes, please see the [Changelog][clog]
+
+### The fine print
+
+This version works with both Eclipse 3.6 (Helios) and 3.7 (Indigo). We developed and tested it using
+Java 6, but Java 7 can be used [with some caveats][ide-java7].
+
+## [Go forth and code!](/download/current.html#2.0.1-rc01)
+
+[clog]: /docs/changelog.html#release-scala-ide-2-0-x
+[sbt]: http://www.scala-sbt.org/
+[scala]: http://www.scala-lang.org/
+[ide-java7]: /blog/java-7.html
View
16 download/current.md
@@ -3,6 +3,7 @@ layout: current-download
title: Download the 2.0.0 Release of the Scala IDE for Eclipse
---
+# 2.0.0 Release
## Get Started
@@ -25,3 +26,18 @@ Currently, it is not possible to install both plugins within the same Eclipse in
#### For Scala 2.8.x
{% include current-download-box-2-8.txt%}
+
+# 2.0.1-rc01 <a name="2.0.1-rc01"/>
+
+## Improved in This Release
+
+This is a maintenance release. Please check the [changelog](/docs/changelog.html#2_0_1__release_scala-ide-2_0_x_) this the list of fixes.
+
+## Update Site
+This release of the Scala IDE is available only for Scala 2.9. Support for Scala 2.8 as been discontinued after the 2.0.0 version.
+
+### Requirements
+{% include maintenance-download-requirements.txt %}
+
+#### For Scala 2.9.x
+{% include maintenance-download-box-2-9.txt %}

0 comments on commit 082562d

Please sign in to comment.
Something went wrong with that request. Please try again.